locate(1)

NUME
plocate - găsește fișiere după nume, rapid

SINOPSIS
plocate [OPȚIUNE]... MODEL...

DESCRIERE
plocate găsește toate fișierele din sistem care corespund modelului dat (sau tuturor modelelor, dacă sunt date mai multe). Aceasta se face cu ajutorul unui index realizat de updatedb(8) sau (mai rar) convertit dintr-un alt index de plocate-build(8).

plocate este în mare măsură compatibil cu mlocate(1), dar este semnificativ mai rapid. În special, rareori trebuie să parcurgă întreaga bază de date, cu excepția cazului în care modelul este foarte scurt (mai puțin de trei octeți) sau dacă doriți să căutați o expresie regulată. Nu încearcă să mențină compatibilitatea cu BSD locate, sau cu numele de fișiere și configurațiile regionale non-UTF-8. Majoritatea intrărilor și ieșirilor se realizează în mod asincron, dar rezultatele sunt sincronizate, astfel încât ieșirea să se facă în aceeași ordine de fiecare dată.

Atunci când sunt date mai multe modele, plocate va căuta fișierele care se potrivesc cu toate dintre ele. Aceasta este principala incompatibilitate cu mlocate(1), care caută fișiere care corespund unuia sau mai multor modele, cu excepția cazului în care se dă opțiunea „-A”.

În mod implicit, modelele sunt considerate ca fiind subșiruri care trebuie căutate. Dacă se indică cel puțin un metacaracter de globalizare fără eludare (*, ? sau []), se consideră că modelul respectiv este un model global (ceea ce înseamnă că trebuie să înceapă și să se termine cu * pentru o potrivire de subșiruri). Dacă se dă --regexp, se consideră că modelele sunt expresii regulate de bază POSIX (fără extensii), iar dacă se dă --regex, se consideră că modelele sunt expresii regulate extinse POSIX. Toate acestea corespund comportamentului mlocate(1).

Ca și mlocate(1), plocate afișează toate fișierele vizibile pentru utilizatorul apelant (în virtutea faptului că are permisiuni de citire și execuție asupra tuturor directoarelor părinte) și niciunul care nu este vizibil, prin intermediul rulării cu bitul setgid activat pentru a accesa indexul (care este construit ca root), dar prin testarea vizibilității ca utilizator apelant.

STARE DE IEȘIRE
plocate iese cu 0 pentru a indica faptul că a fost găsită o potrivire sau că --help sau --version au fost transmise. În caz contrar, plocate iese cu codul de stare 1, indicând că s-a produs o eroare sau că nu s-a găsit nici o potrivire.

OPȚIUNI

-A, --all
    Ignorată din motive de compatibilitate cu mlocate(1).

-b, --basename
    Match only against the file name portion of the path name, ie., the directory names will be excluded from the match (but still printed). This does not speed up the search, but can suppress uninteresting matches.

-c, --count
    Nu imprimă fiecare potrivire. În schimb, le numără și afișează un număr total la sfârșit.

-d, --database DBPATH
    Găsește corespondențe în baza de date dată, în loc de /var/lib/plocate/plocate.db. Acest argument poate fi dat de mai multe ori, pentru a căuta mai multe baze de date. De asemenea, este posibil să se dea mai multe baze de date într-un singur argument, separate prin :; (orice caracter, inclusiv : și \, poate fi eludat prin adăugarea unui \).

-e, --existing
    Imprimă numai intrările care se referă la fișiere existente în momentul în care se execută locate. Rețineți că, spre deosebire de mlocate(1), legăturile simbolice nu sunt urmate în mod implicit (și, de altfel, nu există nicio opțiune pentru a schimba acest lucru).

-i, --ignore-case
    Efectuează o potrivire fără distincție între majuscule și minuscule, în funcție de configurația regională curentă (valoarea implicită este o potrivire cu distincție între majuscule și minuscule, octet cu octet). Rețineți că plocate nu acceptă întreaga gamă de reguli Unicode de pliere a majusculelor și minusculelor; în special, căutarea ß nu va da rezultate pentru ss chiar și într-o configurație regională germană. De asemenea, rețineți că această opțiune va fi oarecum mai lentă decât o potrivire care ține cont de majuscule și minuscule, deoarece trebuie să genereze mai mulți candidați pentru căutarea în index.

-l, --limit LIMITA
    Oprește căutarea după ce au fost găsite LIMITA potriviri. Dacă se dă --count, numărul afișat va fi cel mult LIMITA.

-N, --literal
    Afișează numele intrărilor fără ghilimele. În mod normal, plocate va eluda caracterele speciale din numele fișierelor, astfel încât acestea să fie sigure pentru consumul de către shell-urile tipice (similar cu stilul de citare GNU coreutils shell-escape-always), cu excepția cazului în care imprimă pe o conductă, dar această opțiune va dezactiva acest tip de citare.

-0, --null
    În loc să scrie o nouă linie după fiecare potrivire, scrieți un NUL (ASCII 0). Acest lucru este util pentru crearea unei ieșiri lipsite de ambiguitate atunci când aceasta urmează să fie procesată de alte instrumente (cum ar fi xargs(1)), deoarece numele de fișiere pot conține linii noi încorporate.

-r, --regexp
    Se consideră că modelele sunt expresii regulate de bază POSIX. A se vedea regex(7) pentru mai multe informații. Rețineți că acest lucru forțează o scanare liniară prin întreaga bază de date, ceea ce este lent.

--regex
    Ca și --regexp, dar modelele sunt considerate expresii regulate POSIX extinse.

-w, --wholename
    Se potrivește cu întregul nume al rutei. Aceasta este valoarea implicită, astfel încât, dacă nu se dă mai întâi -b (a se vedea mai sus), nu va face nimic. Prin urmare, această opțiune există doar din motive de compatibilitate cu mlocate(1).

--help
    Afișează un mesaj despre modul de folosire la ieșirea standard și termină cu succes.

--version
    Afișează informații despre versiune la ieșirea standard, apoi termină cu succes.

MEDIU

LOCATE_PATH
    Dacă este dată, se adaugă după lista de rute --database (indiferent dacă este dată o adresă explicită sau dacă se utilizează valoarea implicită). Delimitarea prin două puncte și eludarea caracterelor respectă aceleași reguli ca și pentru --database.

AUTOR
Steinar H. Gunderson <steinar+plocate@gunderson.no>

CONSULTAȚI ȘI
plocate-build(8), mlocate(1), updatedb(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.